PearPear

Manually rebalance a position

Manually rebalance a position by providing the weightings

POST
/rebalance/manual/{positionId}
x-api-key<token>

In: header

Path Parameters

positionId*string

Header Parameters

X-Trade-Account-Id*string

UUID of the trade account the request acts on. Must belong to the authenticated user.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/rebalance/manual/string" \  -H "X-Trade-Account-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6" \  -H "Content-Type: application/json" \  -d '{    "orderType": "MARKET",    "weightings": [      {        "symbol": "BTC",        "weight": 1      }    ]  }'
{  "plan": {    "outcome": "full_rebalance"  }}